# Makefile.in generated by automake 1.17 from Makefile.am.
# etc/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2024 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
am__rm_f = rm -f $(am__rm_f_notfound)
am__rm_rf = rm -rf $(am__rm_f_notfound)
pkgdatadir = $(datadir)/slurm
pkgincludedir = $(includedir)/slurm
pkglibdir = $(libdir)/slurm
pkglibexecdir = $(libexecdir)/slurm
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = aarch64_be--netbsd
host_triplet = aarch64_be--netbsd
target_triplet = aarch64_be--netbsd
##am__append_1 = slurmrestd.service
subdir = etc
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/auxdir/ax_check_compile_flag.m4 \
	$(top_srcdir)/auxdir/ax_compare_version.m4 \
	$(top_srcdir)/auxdir/ax_gcc_builtin.m4 \
	$(top_srcdir)/auxdir/ax_have_epoll.m4 \
	$(top_srcdir)/auxdir/ax_lib_hdf5.m4 \
	$(top_srcdir)/auxdir/ax_pthread.m4 \
	$(top_srcdir)/auxdir/gtk-2.0.m4 \
	$(top_srcdir)/auxdir/libtool.m4 \
	$(top_srcdir)/auxdir/ltoptions.m4 \
	$(top_srcdir)/auxdir/ltsugar.m4 \
	$(top_srcdir)/auxdir/ltversion.m4 \
	$(top_srcdir)/auxdir/lt~obsolete.m4 \
	$(top_srcdir)/auxdir/slurm.m4 \
	$(top_srcdir)/auxdir/slurmrestd.m4 \
	$(top_srcdir)/auxdir/x_ac_affinity.m4 \
	$(top_srcdir)/auxdir/x_ac_bashcomp.m4 \
	$(top_srcdir)/auxdir/x_ac_c99.m4 \
	$(top_srcdir)/auxdir/x_ac_cgroup.m4 \
	$(top_srcdir)/auxdir/x_ac_curl.m4 \
	$(top_srcdir)/auxdir/x_ac_databases.m4 \
	$(top_srcdir)/auxdir/x_ac_debug.m4 \
	$(top_srcdir)/auxdir/x_ac_deprecated.m4 \
	$(top_srcdir)/auxdir/x_ac_env.m4 \
	$(top_srcdir)/auxdir/x_ac_freeipmi.m4 \
	$(top_srcdir)/auxdir/x_ac_hpe_slingshot.m4 \
	$(top_srcdir)/auxdir/x_ac_http_parser.m4 \
	$(top_srcdir)/auxdir/x_ac_hwloc.m4 \
	$(top_srcdir)/auxdir/x_ac_json.m4 \
	$(top_srcdir)/auxdir/x_ac_jwt.m4 \
	$(top_srcdir)/auxdir/x_ac_lua.m4 \
	$(top_srcdir)/auxdir/x_ac_lz4.m4 \
	$(top_srcdir)/auxdir/x_ac_man2html.m4 \
	$(top_srcdir)/auxdir/x_ac_munge.m4 \
	$(top_srcdir)/auxdir/x_ac_nvml.m4 \
	$(top_srcdir)/auxdir/x_ac_ofed.m4 \
	$(top_srcdir)/auxdir/x_ac_oneapi.m4 \
	$(top_srcdir)/auxdir/x_ac_pam.m4 \
	$(top_srcdir)/auxdir/x_ac_pkgconfig.m4 \
	$(top_srcdir)/auxdir/x_ac_pmix.m4 \
	$(top_srcdir)/auxdir/x_ac_printf_null.m4 \
	$(top_srcdir)/auxdir/x_ac_ptrace.m4 \
	$(top_srcdir)/auxdir/x_ac_rdkafka.m4 \
	$(top_srcdir)/auxdir/x_ac_readline.m4 \
	$(top_srcdir)/auxdir/x_ac_rsmi.m4 \
	$(top_srcdir)/auxdir/x_ac_s2n.m4 \
	$(top_srcdir)/auxdir/x_ac_selinux.m4 \
	$(top_srcdir)/auxdir/x_ac_setproctitle.m4 \
	$(top_srcdir)/auxdir/x_ac_sview.m4 \
	$(top_srcdir)/auxdir/x_ac_systemd.m4 \
	$(top_srcdir)/auxdir/x_ac_ucx.m4 \
	$(top_srcdir)/auxdir/x_ac_uid_gid_size.m4 \
	$(top_srcdir)/auxdir/x_ac_x11.m4 \
	$(top_srcdir)/auxdir/x_ac_yaml.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h \
	$(top_builddir)/slurm/slurm_version.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
       $(am__cd) "$$dir" && echo $$files | $(am__xargs_n) 40 $(am__rm_f); }; \
  }
am__installdirs = "$(DESTDIR)$(pkgconfigdir)" \
	"$(DESTDIR)$(systemdsystemunitdir)"
DATA = $(noinst_DATA) $(pkgconfig_DATA) $(systemdsystemunit_DATA)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
ACLOCAL = ${SHELL} '<build-prefix>/slurm-25.11.1/auxdir/missing' aclocal-1.17
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AR = ar
AR_FLAGS = cr
AUTOCONF = ${SHELL} '<build-prefix>/slurm-25.11.1/auxdir/missing' autoconf
AUTOHEADER = ${SHELL} '<build-prefix>/slurm-25.11.1/auxdir/missing' autoheader
AUTOMAKE = ${SHELL} '<build-prefix>/slurm-25.11.1/auxdir/missing' automake-1.17
AWK = /usr/bin/awk
BPF_CPPFLAGS = 
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -O2 -I/usr/pkg/include -I/usr/include -I/usr/pkg/include/lua-5.4 -I/usr/include/readline -I/usr/X11R7/include -I/usr/pkg/include/libxml2 -I/usr/pkg/include/mysql -fno-omit-frame-pointer  -pthread 
CHECK_CFLAGS = 
CHECK_LIBS = 
CPP = gcc -E
CPPFLAGS = -I/usr/pkg/include -I/usr/include -I/usr/pkg/include/lua-5.4 -I/usr/include/readline -I/usr/X11R7/include -I/usr/pkg/include/libxml2 -I/usr/pkg/include/mysql
CSCOPE = cscope
CTAGS = ctags
CXX = c++
CXXCPP = c++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -O2 -I/usr/pkg/include -I/usr/include -I/usr/pkg/include/lua-5.4 -I/usr/include/readline -I/usr/X11R7/include -I/usr/pkg/include/libxml2 -I/usr/pkg/include/mysql
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/egrep
ETAGS = etags
EXEEXT = 
FGREP = /usr/bin/grep -F
FILECMD = file
FREEIPMI_CPPFLAGS = 
FREEIPMI_LDFLAGS = 
FREEIPMI_LIBS = 
GLIB_CFLAGS = 
GLIB_COMPILE_RESOURCES = 
GLIB_GENMARSHAL = 
GLIB_LIBS = 
GLIB_MKENUMS = 
GOBJECT_QUERY = 
GREP = /usr/bin/grep
GTK_CFLAGS = 
GTK_LIBS = 
H5CC = /usr/pkg/bin/h5cc
H5FC = /usr/pkg/bin/h5fc
HAVEMYSQLCONFIG = /usr/pkg/bin/mysql_config
HAVE_MAN2HTML = 
HDF5_CC = gcc
HDF5_CFLAGS = 
HDF5_CPPFLAGS = -I/usr/pkg/include -I/usr/include
HDF5_FC = 
HDF5_FFLAGS = 
HDF5_FLIBS = 
HDF5_LDFLAGS =  -L/usr/pkg/lib -L/usr/lib
HDF5_LIBS = -lhdf5_hl -lhdf5  -lhdf5
HDF5_TYPE = serial
HDF5_VERSION = 1.14.6
HPE_SLINGSHOT_CFLAGS = -I/usr/include
HTTP_PARSER_CPPFLAGS = 
HTTP_PARSER_LDFLAGS = 
HWLOC_CPPFLAGS = -I/usr/pkg/include
HWLOC_LDFLAGS = -Wl,-rpath -Wl,/usr/pkg/lib -L/usr/pkg/lib
HWLOC_LIBS = -lhwloc
INSTALL = /usr/bin/install -c -o pbulk -g users
INSTALL_DATA = /usr/bin/install -c -o pbulk -g users -m 644
INSTALL_PROGRAM = /usr/bin/install -c -s -o pbulk -g users -m 755
INSTALL_SCRIPT = /usr/bin/install -c -o pbulk -g users -m 755
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
JSON_CPPFLAGS = -I/usr/pkg/include
JSON_LDFLAGS = -Wl,-rpath -Wl,/usr/pkg/lib -L/usr/pkg/lib -ljson-c
JWT_CPPFLAGS = 
JWT_LDFLAGS = 
LD = <build-prefix>/.cwrapper/bin/ld
LDFLAGS = -Wl,-zrelro -L/usr/pkg/lib -Wl,-R/usr/pkg/lib -L/usr/lib -Wl,-R/usr/lib -L/usr/X11R7/lib -Wl,-R/usr/X11R7/lib 
LIBCURL = -Wl,-R/usr/pkg/lib -L/usr/pkg/lib -lcurl
LIBCURL_CPPFLAGS =  -I/usr/pkg/include
LIBOBJS = 
LIBS =  -lm 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIB_SLURM = -Wl,-rpath=${exec_prefix}/lib/slurm -L$(top_builddir)/src/api/.libs -lslurmfull -export-dynamic
LIB_SLURM_BUILD = $(top_builddir)/src/api/full_version.map $(top_builddir)/src/api/libslurmfull.la
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
LZ4_CPPFLAGS = -I/usr/pkg/include
LZ4_LDFLAGS = -L/usr/pkg/lib
LZ4_LIBS = -llz4
MAINT = #
MAKEINFO = <build-prefix>/.tools/bin/makeinfo
MANIFEST_TOOL = :
MKDIR_P = mkdir -p
MUNGE_CPPFLAGS = -I/usr/pkg/include
MUNGE_DIR = /usr/pkg
MUNGE_LDFLAGS = -Wl,-rpath -Wl,/usr/pkg/lib -L/usr/pkg/lib
MUNGE_LIBS = -lmunge
MYSQL_CFLAGS = -I/usr/pkg/include/mysql -I/usr/pkg/include/mysql/mysql
MYSQL_LIBS = -L/usr/pkg/lib/ -lmariadb
NM = /usr/bin/nm -B
NMEDIT = 
NUMA_LIBS = 
NVML_CPPFLAGS = 
OBJCOPY = objcopy
OBJDUMP = objdump
OBJEXT = o
OFED_CPPFLAGS = 
OFED_LDFLAGS = 
OFED_LIBS = 
ONEAPI_CPPFLAGS = -I/usr/pkg/include/level_zero
OTOOL = 
OTOOL64 = 
PACKAGE = slurm
PACKAGE_BUGREPORT = 
PACKAGE_NAME = slurm
PACKAGE_STRING = slurm 25.11
PACKAGE_TARNAME = slurm
PACKAGE_URL = https://slurm.schedmd.com
PACKAGE_VERSION = 25.11
PAM_DIR = /lib/security
PAM_LIBS = -lpam
PATH_SEPARATOR = :
PKG_CONFIG = <build-prefix>/.tools/bin/pkg-config
PKG_CONFIG_LIBDIR = <build-prefix>/.buildlink/lib/pkgconfig:<build-prefix>/.buildlink/share/pkgconfig
PKG_CONFIG_PATH = 
PMIX_V2_CPPFLAGS = 
PMIX_V2_LDFLAGS = 
PMIX_V3_CPPFLAGS = 
PMIX_V3_LDFLAGS = 
PMIX_V4_CPPFLAGS = 
PMIX_V4_LDFLAGS = 
PMIX_V5_CPPFLAGS = 
PMIX_V5_LDFLAGS = 
PMIX_V6_CPPFLAGS = 
PMIX_V6_LDFLAGS = 
PROJECT = slurm
PTHREAD_CC = gcc
PTHREAD_CFLAGS =  -pthread 
PTHREAD_CXX = c++
PTHREAD_LIBS = 
RANLIB = ranlib
RDKAFKA_CPPFLAGS = -I/usr/pkg/include
RDKAFKA_LDFLAGS = 
RDKAFKA_LIBS = 
READLINE_LIBS = -lreadline -lhistory 
RELEASE = 1
RSMI_CPPFLAGS = -I/opt/rocm/rocm_smi/include
S2N_CPPFLAGS = 
S2N_DIR = 
S2N_LDFLAGS = 
S2N_LIBS = 
SED = /usr/bin/sed
SET_MAKE = 
SHELL = bash
SLEEP_CMD = /bin/sleep
SLURMCTLD_INTERFACES = $(top_builddir)/src/interfaces/libslurmctld_interfaces.la
SLURMCTLD_PORT = 
SLURMCTLD_PORT_COUNT = 
SLURMDBD_PORT = 
SLURMD_INTERFACES = $(top_builddir)/src/interfaces/libslurmd_interfaces.la
SLURMD_PORT = 
SLURMRESTD_PORT = 6820
SLURM_API_AGE = 0
SLURM_API_CURRENT = 44
SLURM_API_MAJOR = 44
SLURM_API_REVISION = 0
SLURM_API_VERSION = 0x2c0000
SLURM_MAJOR = 25
SLURM_MICRO = 1
SLURM_MINOR = 11
SLURM_PREFIX = 
SLURM_VERSION_NUMBER = 0x190b01
SLURM_VERSION_STRING = 25.11.1
STRIP = strip
SUCMD = /usr/bin/su
SYSTEMD_TASKSMAX_OPTION = 
UCX_CPPFLAGS = 
UCX_LDFLAGS = 
UCX_LIBS = 
UTIL_LIBS = -lutil
VERSION = 25.11
YAML_CPPFLAGS = -I/usr/pkg/include
YAML_LDFLAGS = -Wl,-rpath -Wl,/usr/pkg/lib64 -L/usr/pkg/lib64 -lyaml
_libcurl_config = 
abs_builddir = <build-prefix>/slurm-25.11.1/etc
abs_srcdir = <build-prefix>/slurm-25.11.1/etc
abs_top_builddir = <build-prefix>/slurm-25.11.1
abs_top_srcdir = <build-prefix>/slurm-25.11.1
ac_ct_AR = ar
ac_ct_CC = 
ac_ct_CXX = 
ac_ct_DUMPBIN = 
ac_have_man2html = yes
am__include = include
am__leading_dot = .
am__quote = 
am__rm_f_notfound = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
am__xargs_n = xargs -n
ax_pthread_config = 
bashcompdir = /usr/share/bash-completion/completions
bindir = /usr/pkg/bin
build = aarch64_be--netbsd
build_alias = aarch64_be--netbsd
build_cpu = aarch64_be
build_os = netbsd
build_vendor = 
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
dbus_CFLAGS = 
dbus_LIBS = 
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = aarch64_be--netbsd
host_alias = aarch64_be--netbsd
host_cpu = aarch64_be
host_os = netbsd
host_vendor = 
htmldir = /usr/pkg/share/doc/slurm-wlm-25.11.1/html
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} <build-prefix>/slurm-25.11.1/auxdir/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
libselinux_CFLAGS = 
libselinux_LIBS = 
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
lua_CFLAGS = -I/usr/pkg/include/lua-5.4
lua_LIBS = -Wl,-R/usr/pkg/lib -L/usr/pkg/lib -llua5.4 -lm
mandir = /usr/pkg/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgconfigdir = ${libdir}/pkgconfig
prefix = /usr/pkg
program_transform_name = s,x,x,
psdir = ${docdir}
runstatedir = ${localstatedir}/run
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
systemdsystemunitdir = 
target = aarch64_be--netbsd
target_alias = 
target_cpu = aarch64_be
target_os = netbsd
target_vendor = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
ETC_FILES = init.d.slurmdbd init.d.slurm \
	    sackd.service slurmctld.service slurmdbd.service slurmd.service \
	    slurmrestd.service slurm.pc

CLEANFILES = $(ETC_FILES)
edit = sed \
        -e 's|@bindir[@]|$(bindir)|g' \
        -e 's|@includedir[@]|$(includedir)|g' \
        -e 's|@libdir[@]|$(libdir)|g' \
        -e 's|@sbindir[@]|$(sbindir)|g' \
        -e 's|@sysconfdir[@]|$(sysconfdir)|g' \
	-e 's|@sharedstatedir[@]|$(sharedstatedir)|g' \
	-e 's|@SLURM_VERSION_STRING[@]|25.11.1|g' \
	-e 's|@SLURMRESTD_PORT[@]|6820|g' \
	-e 's|@SYSTEMD_TASKSMAX_OPTION[@]|$(SYSTEMD_TASKSMAX_OPTION)|g'

noinst_DATA = $(ETC_FILES)
#pkgconfig_DATA = slurm.pc
#systemdsystemunit_DATA = sackd.service \
#	slurmctld.service slurmdbd.service \
#	slurmd.service $(am__append_1)
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu etc/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu etc/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
install-pkgconfigDATA: $(pkgconfig_DATA)
	@$(NORMAL_INSTALL)
	@list='$(pkgconfig_DATA)'; test -n "$(pkgconfigdir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(pkgconfigdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(pkgconfigdir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pkgconfigdir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(pkgconfigdir)" || exit $$?; \
	done

uninstall-pkgconfigDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(pkgconfig_DATA)'; test -n "$(pkgconfigdir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(pkgconfigdir)'; $(am__uninstall_files_from_dir)
install-systemdsystemunitDATA: $(systemdsystemunit_DATA)
	@$(NORMAL_INSTALL)
	@list='$(systemdsystemunit_DATA)'; test -n "$(systemdsystemunitdir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(systemdsystemunitdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(systemdsystemunitdir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(systemdsystemunitdir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(systemdsystemunitdir)" || exit $$?; \
	done

uninstall-systemdsystemunitDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(systemdsystemunit_DATA)'; test -n "$(systemdsystemunitdir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(systemdsystemunitdir)'; $(am__uninstall_files_from_dir)
tags TAGS:

ctags CTAGS:

cscope cscopelist:

check-am: all-am
check: check-am
all-am: Makefile $(DATA)
installdirs:
	for dir in "$(DESTDIR)$(pkgconfigdir)" "$(DESTDIR)$(systemdsystemunitdir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:

clean-generic:
	-$(am__rm_f) $(CLEANFILES)

distclean-generic:
	-$(am__rm_f) $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || $(am__rm_f) $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am: install-pkgconfigDATA install-systemdsystemunitDATA

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-pkgconfigDATA uninstall-systemdsystemunitDATA

.MAKE: install-am install-strip

.PHONY: all all-am check check-am clean clean-generic clean-libtool \
	cscopelist-am ctags-am distclean distclean-generic \
	distclean-libtool dvi dvi-am html html-am info info-am install \
	install-am install-data install-data-am install-dvi \
	install-dvi-am install-exec install-exec-am install-html \
	install-html-am install-info install-info-am install-man \
	install-pdf install-pdf-am install-pkgconfigDATA install-ps \
	install-ps-am install-strip install-systemdsystemunitDATA \
	installcheck installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-generic \
	mostlyclean-libtool pdf pdf-am ps ps-am tags-am uninstall \
	uninstall-am uninstall-pkgconfigDATA \
	uninstall-systemdsystemunitDATA

.PRECIOUS: Makefile


init.d.slurmdbd: Makefile $(srcdir)/init.d.slurmdbd.in
	$(edit) $(srcdir)/init.d.slurmdbd.in > init.d.slurmdbd

init.d.slurm: Makefile $(srcdir)/init.d.slurm.in
	$(edit) $(srcdir)/init.d.slurm.in > init.d.slurm

sackd.service: Makefile $(srcdir)/sackd.service.in
	$(edit) $(srcdir)/sackd.service.in > sackd.service

slurmctld.service: Makefile $(srcdir)/slurmctld.service.in
	$(edit) $(srcdir)/slurmctld.service.in > slurmctld.service

slurmdbd.service: Makefile $(srcdir)/slurmdbd.service.in
	$(edit) $(srcdir)/slurmdbd.service.in > slurmdbd.service

slurmd.service: Makefile $(srcdir)/slurmd.service.in
	$(edit) $(srcdir)/slurmd.service.in > slurmd.service

slurmrestd.service: Makefile $(srcdir)/slurmrestd.service.in
	$(edit) $(srcdir)/slurmrestd.service.in > slurmrestd.service

slurm.pc: Makefile $(srcdir)/slurm.pc.in
	$(edit) $(srcdir)/slurm.pc.in > slurm.pc

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

# Tell GNU make to disable its built-in pattern rules.
%:: %,v
%:: RCS/%,v
%:: RCS/%
%:: s.%
%:: SCCS/s.%
